--- sendmail-8.14.4/sendmail/alias.c	2006-10-24 18:04:09.000000000 +0000
+++ sendmail-8.14.4.patched/sendmail/alias.c	2010-01-05 18:21:22.000000000 +0000
@@ -60,6 +60,13 @@
 	auto int status = EX_OK;
 	char obuf[MAXNAME + 7];
 
+#ifdef LISTSERV
+        /* tmk - hack for LISTSERV subscription probes */
+        static char *lbuf = NULL;
+        char lbuf2[MAXNAME + 300];
+        static char lbuflen = -1;
+#endif
+
 	if (tTd(27, 1))
 		sm_dprintf("alias(%s)\n", a->q_user);
 
@@ -116,7 +123,28 @@
 		return;
 	}
 	if (p == NULL)
-		return;
+#ifdef LISTSERV                                                     
+               /* tmk - hack for LISTSERV subscription probes and DMARC rewritings */
+               if (strncmp(a->q_user, "owner-", 6) == 0  || strstr(a->q_user, "-dmarc-request"))
+               {
+                       strcpy(lbuf2, "\"|lsv_amin /home/listserv/spool -t ");
+                       strcat(lbuf2, a->q_user);
+                       strcat(lbuf2, "\"");
+                       /*
+                        * of course, it's never this easy - sendmail expects
+                        * to be able to deallocate this buffer later, so we
+                        * make a temporary, dynamic copy.
+                        */
+                       lbuflen = strlen(lbuf2);
+                       if (lbuf != NULL)
+                               free(lbuf);
+                       lbuf = xalloc(lbuflen +1);
+                       strcpy(lbuf, lbuf2);
+                       p = lbuf;
+               }
+               else
+#endif /* LISTSERV */
+		 return;
 
 	/*
 	**  Match on Alias.
